API Documentation

Add manual time entry

Description

Adds a new manual time entry. Returns an object containing the created manual time entry's ID.

Request format

curl -X POST https://kanbanflow.com/api/v1/tasks/<TASK_ID>/manual-time-entries -H "Content-type: application/json" -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/manual-time-entries -H "Content-type: application/json" -d '{ "startTimestamp": "2023-01-02T08:30:00Z", "endTimestamp": "2023-01-02T12:00:00Z" }'

Example response

{
    "_id": "EyS84FdLk"
}

Valid properties

PropertyTypeComment
userIdStringOptional. The ID of the user that this entry should be associated with. See Get users tab for information about how to get a user's ID.
startTimestampStringRequired. The UTC timestamp when the manual time entry started, for example 2023-12-31T09:00:00Z.
endTimestampStringRequired. The UTC timestamp when the manual time entry ended, for example 2023-12-31T17:00:00Z.
commentStringOptional. A comment to the time entry. Limited to 50 characters.
labelNamesArrayOptional. Labels for the time entry. Array of strings. Example: ["Billable", "Project X"].